Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.codecs.facet42
Class Facet42Codec

    java.lang.Object
      org.apache.lucene.codecs.Codec
          org.apache.lucene.codecs.lucene42.Lucene42Codec
              org.apache.lucene.facet.codecs.facet42.Facet42Codec

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public class Facet42Codec

extends Lucene42Codec

Same as `Lucene42Codec` except it uses `Facet42DocValuesFormat` for facet fields (faster-but-more-RAM-consuming doc values).

NOTE: this codec does not support facet partitions (see `FacetIndexingParams.getPartitionSize()`).

NOTE: this format cannot handle more than 2 GB of facet data in a single segment. If your usage may hit this limit, you can either use Lucene's default DocValuesFormat, limit the maximum segment size in your MergePolicy, or send us a patch fixing the limitation.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`Facet42Codec()` Default constructor, uses `FacetIndexingParams.DEFAULT`.
`Facet42Codec(FacetIndexingParams fip)` Initializes with the given `FacetIndexingParams`.

Method Summary
`DocValuesFormat` | `getDocValuesFormatForField(String field)`

Methods inherited from class org.apache.lucene.codecs.lucene42.Lucene42Codec
`docValuesFormat, fieldInfosFormat, getPostingsFormatForField, liveDocsFormat, normsFormat, postingsFormat, segmentInfoFormat, storedFieldsFormat, termVectorsFormat`

Methods inherited from class org.apache.lucene.codecs.Codec
`availableCodecs, forName, getDefault, getName, reloadCodecs, setDefault, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Facet42Codec

    public Facet42Codec()

  Default constructor, uses `FacetIndexingParams.DEFAULT`.

### Facet42Codec

    public Facet42Codec(FacetIndexingParams fip)

  Initializes with the given `FacetIndexingParams`. Returns the proper `DocValuesFormat` for the fields that are returned by `FacetIndexingParams.getAllCategoryListParams()`.

Method Detail

### getDocValuesFormatForField

    public DocValuesFormat getDocValuesFormatForField(String field)

  Overrides:
    `getDocValuesFormatForField` in class `Lucene42Codec`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.